//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// UserWin satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Threading.Tasks;

using System.Windows;

using CommonHelpers;

namespace UserWin {

//**************************************************************************************************
partial class UXMessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static async Task ShowExclamation( string text)
{
   await ShowExclamation( (Window)null, text );
}

public static async Task<MessageBoxResult> ShowExclamation( string text, MessageBoxButton button )
{
   return await ShowExclamation( (Window)null, text, button );
}

public static async Task<MessageBoxResult> ShowExclamation(
   string text, MessageBoxButton button, MessageBoxResult defaultResult )
{
   return await ShowExclamation( (Window)null, text, button, defaultResult );
}

//--------------------------------------------------------------------------------------------------

public static async Task ShowExclamation( string text, [HOptional] string caption )
{
   await ShowExclamation( (Window)null, text, caption );
}

public static async Task<MessageBoxResult> ShowExclamation(
   string text, [HOptional] string caption, MessageBoxButton button )
{
   return await ShowExclamation( (Window)null, text, caption, button );
}

public static async Task<MessageBoxResult> ShowExclamation(
   string text, [HOptional] string caption,
   MessageBoxButton button,
   MessageBoxResult defaultResult )
{
   return await ShowExclamation( (Window)null, text, caption, button, defaultResult );
}

//==================================================================================================

public static async Task ShowExclamation( [HOptional] Window owner, string text )
{
   await ShowExclamation( (UXShowMessageExtraInfo)null, owner, text );
}

public static async Task<MessageBoxResult> ShowExclamation(
   [HOptional] Window owner, string text, MessageBoxButton button )
{
   return await ShowExclamation( (UXShowMessageExtraInfo)null, owner, text, button );
}

public static async Task<MessageBoxResult> ShowExclamation(
   [HOptional] Window owner,
   string text, MessageBoxButton button,
   MessageBoxResult defaultResult )
{
   return await ShowExclamation( (UXShowMessageExtraInfo)null, owner, text, button, defaultResult );
}

//--------------------------------------------------------------------------------------------------

public static async Task ShowExclamation(
   [HOptional] Window owner, string text, string caption )
{
   await ShowExclamation( (UXShowMessageExtraInfo)null, owner, text, caption );
}

public static async Task<MessageBoxResult> ShowExclamation(
   [HOptional] Window owner,
   string text, [HOptional] string caption,
   MessageBoxButton button )
{
   return await ShowExclamation( (UXShowMessageExtraInfo)null, owner, text, caption, button );
}

public static async Task<MessageBoxResult> ShowExclamation(
   [HOptional] Window owner,
   string text, [HOptional] string caption,
   MessageBoxButton button,
   MessageBoxResult defaultResult )
{
   return await ShowExclamation( (UXShowMessageExtraInfo)null,
      owner, text, caption, button, defaultResult );
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UXMessageBox
//**************************************************************************************************

} // UserWin
